Bug 170051 - please omit *.la files, static libs (or package them separately)
please omit *.la files, static libs (or package them separately)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: apr-util (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 16:20 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.9.7-2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 05:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-06 16:20:08 EDT
pretty much the same arguments used in bug #170049

Please remove all %{_libdir}/lib*.la files and static libs from the -devel
package.  This will reduce libtool/library bloat.

Further, it will (mostly) solve the problem of needing to add
extreneous Requires: apr-util-devel to other (-devel) packages built against
apr-util-devel (to account for the references to /usr/lib/libapr-0.la in their
own .la files).

(mostly Library) packages with .la files of their own that
BuildRequires: apr-util-devel
will need to be rebuilt after this modification.  Notably subversion.

If you insist in still including the .la files (and static libraries), please
package them separately into something like apr-util-static.
Comment 1 Joe Orton 2005-10-20 05:06:11 EDT
Static libs dropped in Raw Hide, but not the .la file; again, it's part of the
interface.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.